Skip to main content
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
posts
List Instagram posts
curl --request POST \
  --url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/posts \
  --header 'Content-Type: application/json' \
  --header 'X-Access-Key: <api-key>' \
  --header 'X-Secret-Key: <api-key>' \
  --data '
{
  "username": "instagram",
  "maxPosts": 100.5
}
'
{
  "data": [
    {
      "shortcode": "<string>",
      "post_url": "<string>",
      "post_type": "<string>",
      "caption": "<string>",
      "hashtags": [
        "<string>"
      ],
      "mentions": [
        "<string>"
      ],
      "likes_count": 123,
      "comments_count": 123,
      "video_views_count": 123,
      "display_url": "<string>",
      "dimensions_height": 123,
      "dimensions_width": 123,
      "is_sponsored": true,
      "location_name": "<string>",
      "location_id": "<string>",
      "posted_at": "<string>",
      "author_username": "<string>",
      "owner_id": "<string>"
    }
  ],
  "meta": {
    "requestId": "<string>"
  }
}

POST /api/v1/platform/scrapers/instagram/posts

Fetch recent posts from an Instagram account.
Retrieve recent posts from a public Instagram account.

Example

curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/posts \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"username": "instagram", "maxPosts": 12}'

Authorizations

X-Access-Key
string
header
required

The public API key from the Credentials page.

X-Secret-Key
string
header
required

The API secret shown when the credential is created.

Body

application/json
username
string
required
Example:

"instagram"

maxPosts
number
Required range: 1 <= x <= 200

Response

Instagram posts.

data
object[]
required
meta
object
required